summaryrefslogtreecommitdiffstats
path: root/source/n/vsftpd/vsftpd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/vsftpd/vsftpd.SlackBuild')
-rwxr-xr-xsource/n/vsftpd/vsftpd.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/n/vsftpd/vsftpd.SlackBuild b/source/n/vsftpd/vsftpd.SlackBuild
index 08da379eb..fcd92dc79 100755
--- a/source/n/vsftpd/vsftpd.SlackBuild
+++ b/source/n/vsftpd/vsftpd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2016, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2016, 2018, 2021, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=vsftpd
VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,7 +72,10 @@ find . \
zcat $CWD/vsftpd.builddefs.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/vsftpd.conf.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/vsftpd.crypt.diff.gz | patch -p1 --verbose || exit 1
+# OpenSSL3:
+zcat $CWD/vsftpd-3.0.5-replace-deprecated-openssl-functions.patch.gz | patch -Np1 --fuzz=20 --verbose || exit 1
+# Build:
make $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/sbin